From 753b8f743af90feeb66a72ae8be6f31be290e5a3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 10 2020 03:30:52 +0000
Subject: [PATCH 1023/2232] Suppress some currently triggering clippy lints


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 7148d7b..128d933 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -46,6 +46,7 @@
 //! ```
 
 #![allow(
+    clippy::drop_copy,
     clippy::inherent_to_string,
     clippy::needless_doctest_main,
     clippy::new_without_default,
diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index 6456200..dae7e78 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -8,6 +8,12 @@
 //! [https://github.com/google/autocxx]: https://github.com/google/autocxx
 
 #![allow(dead_code)]
+#![allow(
+    clippy::inherent_to_string,
+    clippy::new_without_default,
+    clippy::or_fun_call,
+    clippy::toplevel_ref_arg
+)]
 
 mod error;
 mod gen;

